using System;

namespace Mesnac.DeviceAdapter.Fuchs
{
    public interface ICommunicateService
    {
        void Init(string strIp, int iPort, object objetcter);
        bool SendMessage(MessagePack pMessagePack);
        bool Connect();
        bool GetState();
        bool DisConnect();
        void Receive_tagInf(DateTime dt, byte Ant, int timeout, bool TagInventory);
        void deal_TagInfo(byte Ant);
    }

}
